Module inh_example :: Class Programmer

[hide private]
[frames] | no frames]

# Class Programmer

source code

    Animal --+
             |
        Mammal --+
                 |
           Primate --+
                     |
                 Human --+
                         |
                        Programmer

Instance Methods | [hide private]

hack(self, code) Improve the given program. | source code

squish(self, bug, code) Remove the given bug from the given program. | source code

Inherited from `Human`: `talk` Inherited from `Primate`: `climb`, `grab` Inherited from `Mammal`: `run` Inherited from `Animal`: `eat`, `sleep`

Method Details | [hide private]

### squish(self, bug, code)

source code

Remove the given bug from the given program.

Parameters:
  - `bug` (Bug) - The bug that should be removed from `code`.